### Virtual Method

# Gcr SecretExchange generate_exchange_key

#### Declaration [src]

    gboolean
    generate_exchange_key (
      GcrSecretExchange* exchange,
      const gchar* scheme,
      guchar** public_key,
      gsize* n_public_key
    )

#### Description

No description available.

#### Parameters

`scheme`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`public_key`

  Type: `guchar**`

  No description available.

  The data is owned by the caller of the method.

`n_public_key`

  Type: `gsize*`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.